const path = require('path');
const http = require('http');
const packagejson = require('./package.json');

const keepAliveAgent = new http.Agent({ keepAlive: true });

process.env.VUE_APP_VERSION = packagejson.version;

function chainWebpack(config) {
  config.output.strictModuleExceptionHandling(true);
  config.resolve.symlinks(false);
  config.resolve.alias.set('dive-common', path.resolve(__dirname, 'dive-common'));
  config.resolve.alias.set('vue-media-annotator', path.resolve(__dirname, 'src'));
  config.resolve.alias.set('platform', path.resolve(__dirname, 'platform'));
}

module.exports = {
  devServer: {
    proxy: {
      '/api': {
        target: 'http://localhost:8010',
        secure: false,
        ws: true,
        agent: keepAliveAgent,
      },
    },
  },
  productionSourceMap: false,
  publicPath: process.env.VUE_APP_STATIC_PATH,
  chainWebpack,
};
