import re

SETTINGS_CONST_JOBS_CONFIGS = 'jobs_configs'

ImageSequenceType = "image-sequence"
VideoType = "video"

webValidImageFormats = {"png", "jpg", "jpeg"}
validImageFormats = {*webValidImageFormats, "tif", "tiff", "sgi", "bmp", "pgm"}
validVideoFormats = {"mp4", "avi", "mov", "mpg", "mpeg", "mkv"}

videoRegex = re.compile(r"(\." + r"|\.".join(validVideoFormats) + ')$', re.IGNORECASE)
imageRegex = re.compile(r"(\." + r"|\.".join(validImageFormats) + ')$', re.IGNORECASE)
safeImageRegex = re.compile(
    r"(\." + r"|\.".join(webValidImageFormats) + ')$', re.IGNORECASE
)
csvRegex = re.compile(r"\.csv$", re.IGNORECASE)
zipRegex = re.compile(r"\.zip$", re.IGNORECASE)
ymlRegex = re.compile(r"\.ya?ml$", re.IGNORECASE)
jsonRegex = re.compile(r"\.json$", re.IGNORECASE)
gpxRegex = re.compile(r"\.gpx$", re.IGNORECASE)
alphaRegEx = re.compile("tracks\.json", re.IGNORECASE)

ImageMimeTypes = {
    "image/png",
    "image/jpeg",
    "image/tiff",
    "image/bmp",
    "image/x-portable-anymap",
    "image/x-portable-bitmap",
    "image/x-portable-graymap",
    "image/x-rgb",
}

VideoMimeTypes = {
    "video/mpeg",
    "video/mp4",
    "video/quicktime",
    "video/x-msvideo",
}

DatasetMarker = "annotate"
DetectionMarker = "detection"
ExportMarker = "exportFolder"
FinalTrackDownloadFolder = "trackDownloadFolder"
LinkedTracksExportFolder = "LinkedTracksExportFolder"
LinkedFeaturesExportsMarker = "LinkedFeatureExport"

TrainedPipelineMarker = "trained_pipeline"
TrainedPipelineCategory = "trained"
FeatureExtractionZip = 'FeatureExtractionZip'
# The name of the folder where any user specific data should be stored
# (created as a folder of that user)
MevaDataFolderName = "MEVA"
MevaTrackLinkFileMarker = "TrackLinkFile"
ActorFolderName = "ACTORS"
StatsFolderName = "Stats"
DBFolderName = "DB_Backup"
CameraModelFolderName = "CAMERAMODELS"
ActorDescriptorFolderName = "DESCRIPTORS"
GPSFolderName = "GPS"
TypeMarker = "type"
MEVAFolderMarker = "MEVADATAFOLDER"
#  BRIAR LINKING STUFF
LinkingFeaturesFolderName = "LINKINGFEATURES"
LinkingFeaturesPropertiesName = "properties.json"
LinkingFeaturesList = "list.json"


LinkingFeatureBaseProperties = [
    'Face',
    'Gender',
    'Height',
    'Weight',
    'Hair Style',
    'Hair Color',
    'Glasses',
    'Hat',
    'Shirt',
    'Shoes',
    'Pants',
    'Scarf',
    'Coat',
    'Shirt Pattern',
    'Pants Pattern',
    'Jewelery',
    'Facial Hair',
]