import argparse
import json
from meva_server.meva_database.database import MevaDatabase
from meva_server.meva_database.init_database import run_database_init
import os
from pathlib import Path
import uuid
import zipfile

parser = argparse.ArgumentParser(description='Script to demo detection query')
parser.add_argument('databasePath', help='path to database file')
parser.add_argument('detection_uid', help='detection uid to query')

args = parser.parse_args()

database_path = Path(args.databasePath)

os.environ['MEVA_DATABASE_URI'] = 'sqlite:///' + str(database_path)

meva_db = MevaDatabase()

# This returns a single Detection object from models.py or None if
# the uid is not present
detection = meva_db._get_detection(args.detection_uid)

print("Frame number: ", detection.frame_number)
# We can add accessors and other method to the Detection class
print("Bounding box upper", detection.bb_upper())
