#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import find_packages, setup

requirements = [
    "cheroot>=8.4.5",  # https://github.com/cherrypy/cheroot/issues/312
    "pymongo==3.6",  # match girder
    "girder==3.1.14",
    "numpy",
    "cherrypy",
    "pybind11",
    "pythran",
    "diva-boiler",
    "girder_jobs==3.1.14",
    "girder_worker==0.8.1",
    "girder_worker_utils==0.8.7",
    "importlib-metadata==4.13.0",
    "pydantic",
    "gpxpy",
    "pysnooper",
    "sqlalchemy",
    "sqlalchemy_pagination",
    "typing_extensions",
    "gputil",
    "pandas",
    # botocore requirement conflict
    "requests>=2.20.0",  # Match girder_worker_utils
    "torch",
    "torchvision",
    "urllib3<1.26",
    "yacs",
    "matplotlib",
    "opencv-python",
    "albumentations",
    "iglovikov_helper_functions",
    "people_segmentation",
]

setup(
    author_email="viame-web@kitware.com",
    classifiers=[
        "License :: OSI Approved :: Apache Software License",
        "Natural Language :: English",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
    ],
    description="MEVA Data Server",
    install_requires=requirements,
    python_requires=">=3.7",
    license="Apache Software License 2.0",
    include_package_data=True,
    keywords="MEVA",
    name="meva_server",
    packages=find_packages(exclude=["test", "test.*"]),
    version="1.4.1",
    zip_safe=False,
    entry_points={
        "girder.plugin": ["meva_server = meva_server:GirderPlugin"],
        "girder_worker_plugins": ["meva_tasks = meva_tasks:MEVAPlugin"],
    },
)
